Subject: bug#16526: 24.3.50; scroll-conservatively & c-mode regression

From: Stefan Monnier <[email-masked]>
Date: Sat, 05 Jul 2014 19:06:15 -0400

> from point-min.  When I optimised c-parse-state a few years back, I was
> under the impression that a backwards scan-lists wasn't much more
> expensive than a forwards one.  Often, this is not true.

Indeed.  Programming language syntax is designed to be parsed forward,
so parsing it backward can sometimes be surprisingly difficult.

> about adjusting c-parse-state again.  It surely wouldn't hurt for the
> documentation of open-paren-etc and scan-lists to be a bit more
> forthcoming about backwards scan-listses and what the variable _really_
> does.

I think open-paren-in-column-0-is-defun-start is on the way out, FWIW.
`syntax-ppss' makes is largely irrelevant.

        Stefan